<import resource="classpath:alfresco/extension/templates/webscripts/org/alfresco/slingshot/datalists/evaluator.lib.js">
<import resource="classpath:alfresco/extension/templates/webscripts/org/alfresco/slingshot/datalists/filters.lib.js">
<import resource="classpath:alfresco/extension/templates/webscripts/org/alfresco/slingshot/datalists/parse-args.lib.js">

//@overridden projects/remote-api/config/alfresco/templates/webscripts/org/alfresco/slingshot/datalists/data.post.json.js
const REQUEST_MAX = 5000;
const userPagedSearch = true;
// Sorting in datagrid, doesn't work on these fields. Not a text field, but a array list.
var fieldsWithArrayListData = ["lyse:civilActionArea","lyse:actionWithProjectArea",
  "lyse:actionWithProjectProject","lyse:mccActionArea", "lyse:swpRoom"
  ,"lyse:swpArea"];
//const allFilterUseSearch = true; //this works faster for larger lists

/**
 * Copyright (C) 2005-2010 Alfresco Software Limited.
 *
 * This file is part of Alfresco
 *
 * Alfresco is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Alfresco is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Alfresco. If not, see <http://www.gnu.org/licenses/>.
 */

function escape(value) {
	return value.replace('"','');
}

function filterRange(array, range) {
	logger.log("Applying " + range.prop + " range filter " + range.min + " <= x <= " + range.max);
	var filtered = [];
	for (var i=0; i<array.length; i++) {
		obj = array[i];
		logger.log(obj.properties[range.prop]);
		var minOk = !range.min || (obj.properties[range.prop] && (range.min.getTime() <= obj.properties[range.prop].getTime()));
		var maxOk = !range.max || (obj.properties[range.prop] && (obj.properties[range.prop].getTime() <= range.max.getTime()));
		if (minOk && maxOk) {
			filtered.push(obj);
		}
	}

	return filtered;
}

function xPathFilterQuery(filterData) {
	var rangeFilters = [];
	var fieldQuery = [];
	var fieldNamesIterator = filterData.getFieldNames().iterator();
	for ( ; fieldNamesIterator.hasNext(); ){
		var fieldName = fieldNamesIterator.next();
		if (filterData.getFieldData(fieldName).getValue()!= ""){
			var propName = fieldName.replace("prop_","").replace("_",":");
	    	var value = new String(filterData.getFieldData(fieldName).getValue());
	    	if (propName.indexOf("-date-range") > 0){
	    		propName = propName.replace("-date-range","");
	    		rf = { prop: propName };
				var dates = value.split("TO");
				if (dates[0] == ""){
					rf.max =  utils.fromISO8601(dates[1]);
				}
				else if (dates[1] == ""){
					rf.min = utils.fromISO8601(dates[0]);
				}else{
					rf.min =  utils.fromISO8601(dates[0]);
					rf.max = utils.fromISO8601(dates[1]);
				}
	    		rangeFilters.push(rf);
	    	}
	    	else if (propName.indexOf("Priority") > 0 || propName.indexOf("Status") > 0){
				var values = value.split(",");
				var escaped = [];
				for (var i=0;i<values.length;i++) {
					escaped.push('"' + escape(values[i]) + '"');
				}
				fieldQuery.push('(@' + propName + '=' + escaped.join(' or @' + propName + '=') + ')');
	    	}
	    	else{
	    		fieldQuery.push("(like(@" + propName + ',"*' + escape(value) + '*"))');
	    	}

		}
	}
	return {
		rangeFilters : rangeFilters,
		propQuery : "[" + fieldQuery.join(" and ") + "]"
	}
}

/**
 * Main entry point: Return data list with properties being supplied in POSTed arguments
 *
 * @method getData
 */
function getData()
{
   // Use helper function to get the arguments
   var parsedArgs = ParseArgs.getParsedArgs();
   if (parsedArgs === null)
   {
      return;
   }

   var fields = null;
   // Extract fields (if given)
   if (json.has("fields"))
   {
      // Convert the JSONArray object into a native JavaScript array
      fields = [];
      var jsonFields = json.get("fields"),
         numFields = jsonFields.length();

      for (count = 0; count < numFields; count++)
      {
         fields.push(jsonFields.get(count).replaceFirst("_", ":"));
      }
   }

   // Try to find a filter query based on the passed-in arguments
   var filter = parsedArgs.filter,
      allNodes = [],
      node,
      items = [],
      totalItems,
      requestTotalCountMax = 0;

   var 	skip = 0,
   		size = 100,
   		total = 0,
   		page = 1,
   		countTotal;


   if (json.has("size"))
   {
	   size = json.get("size");

      if (json.has("page"))
      {
    	  page = json.get("page");
          skip = (page - 1) * size;
      }
   }

   requestTotalCountMax = skip + REQUEST_MAX;

   if (json.has("total"))
   {
	   total = json.get("total");

	   if (0 < total  && total < REQUEST_MAX) {
		   requestTotalCountMax = total + 10; // add for growth
	   } // else we do not know use absolute max: requestTotalCountMax
   }
   var sortAsc = false;
   var sortField = "dl:itemId";

   if (json.has("filter")) {
	   var filterJson = json.get("filter");

	   if (filterJson.has("sortField")) {
		  sortField = filterJson.get("sortField").replace("assoc_","").replace("prop_","").replace("_",":");
	   }
	   if (filterJson.has("sortAsc")) {
		  sortAsc = filterJson.get("sortAsc");
	   }
   }
   var parentNode = parsedArgs.listNode;
   var timeBefore = new Date().getTime();
   if ((parentNode != null) && (filter == null || filter.filterId == "" || filter.filterId == "all"))
   {
         var pagedResult;
         if(arrayListType(sortField)){
           // The sortField can have tag <multiple> enabled which pagedResult function does not accept. Therefore, it should be ignored.
           pagedResult = parentNode.childFileFolders(true, false, Filters.IGNORED_TYPES, skip, size, requestTotalCountMax, null, null, null);
         }
         else{
           pagedResult = parentNode.childFileFolders(true, false, Filters.IGNORED_TYPES, skip, size, requestTotalCountMax, sortField, sortAsc, null);
         }
         allNodes = pagedResult.page;
         totalItems = pagedResult.totalResultCountUpper;
   }
   else
   {
      var filterParams = Filters.getFilterParams(filter, parsedArgs);
      var query = filterParams.query;
      // Query the nodes - passing in default sort and result limit parameters
      if (query !== "")
      {
    	  var queryTotal = pagedSearch.countQuery(null, query, filterParams.language).totalResultCountUpper;

        var sortObj;
        if(arrayListType(sortField)){
          sortObj = null;
        }
        else{
          sortObj = [{
            column: "@" + sortField,
            ascending: sortAsc
          }];
        }
    	  var queryObj = {
            query: query,
            language: filterParams.language,
    				page:
    				{
    					skipCount: skip,
    					pageSize: size,
    					maxItems: requestTotalCountMax
    				},
            sort: sortObj,
            templates: filterParams.templates,
            namespace: (filterParams.namespace ? filterParams.namespace : null)
         };

    	  if (userPagedSearch) {
    		  pagedResult = pagedSearch.pagedQuery(queryObj);
    	  }
    	  else
    	  {
    		  allNodes = search.query(queryObj);
    	  }

      }
      if (pagedResult) {
	      allNodes = pagedResult.page;
	      totalItems = pagedResult.totalResultCountUpper;
		  //allNodes = allNodes.slice(0, size);
      }
      else
	  {
    	  totalItems = skip + allNodes.length;
		    allNodes = allNodes.slice(0, size);
	  }


   }

   var paging = {
		   totalRecords: (0 < countTotal ? (0 < queryTotal ? queryTotal : countTotal) : totalItems),
		   startIndex: skip,
   }

   if (paging.totalRecords == (skip + REQUEST_MAX)) {
	   paging.totalRecordsUpper = true;
   }
	 logger.log("Time for query and paging: ");
	 logger.log(new Date().getTime() - timeBefore);

	 var timeBefore = new Date().getTime();
   if (allNodes.length > 0)
   {
     var returnedNodes = [];
     try
     {
       if (String(filter.filterId)=="activeIssuesContractor"){
         returnedNodes = lyseWorkflowService.nodesWithRunningWorkflowForRole("contractor", allNodes);
       } else if (String(filter.filterId)=="activeIssuesCompany"){
         returnedNodes = lyseWorkflowService.nodesWithRunningWorkflowForRole("company", allNodes);
       } else if (String(filter.filterId)=="memberfilterform"){
         var fieldValue = new String(filter.filterData.getFieldData("taskResponsible").getValue());
         returnedNodes = lyseWorkflowService.isOwnerOfTasks(fieldValue, allNodes);
       } else{
         returnedNodes = allNodes;
       }
     } catch(e) {}

     if(returnedNodes.length > 0){
       for each (node in returnedNodes) {
         items.push(Evaluator.run(node, fields));
       }
     }
   }
   logger.log("Time for evaluation: ");
	 logger.log(new Date().getTime() - timeBefore);

   if(String(filter.filterId)=="activeIssuesContractor" || String(filter.filterId)=="activeIssuesCompany" || String(filter.filterId)=="memberfilterform") {
     paging.totalRecords = items.length;
   }

   return (
   {
      fields: fields,
      paging: paging,
      parent:
      {
         node: parsedArgs.listNode,
         userAccess:
         {
            create: siteHelper.hasCreateDatalistItemPermission(parsedArgs.listNode),
            createVO: parsedArgs.listNode.hasPermission("CreateChildren") && siteHelper.hasSiteRole(siteHelper.getSiteShortName(parsedArgs.listNode), "SiteCompanyRep"),
            createVOR: parsedArgs.listNode.hasPermission("CreateChildren") && siteHelper.hasSiteRole(siteHelper.getSiteShortName(parsedArgs.listNode), "SiteContractorRep"),
            createCivilVO: parsedArgs.listNode.hasPermission("CreateChildren") && siteHelper.hasSiteRole(siteHelper.getSiteShortName(parsedArgs.listNode), "SiteCompanyRep"),
            createCivilVOR: parsedArgs.listNode.hasPermission("CreateChildren") && siteHelper.hasSiteRole(siteHelper.getSiteShortName(parsedArgs.listNode), "SiteContractorRep"),
            createNCR: parsedArgs.listNode.hasPermission("CreateChildren") && (siteHelper.hasSiteRole(siteHelper.getSiteShortName(parsedArgs.listNode), "SiteContractorRep")||siteHelper.hasSiteRole(siteHelper.getSiteShortName(parsedArgs.listNode), "SiteContractor")),
            createMilestone: parsedArgs.listNode.hasPermission("CreateChildren") && (siteHelper.hasSiteRole(siteHelper.getSiteShortName(parsedArgs.listNode), "SiteCompanyRep")||siteHelper.hasSiteRole(siteHelper.getSiteShortName(parsedArgs.listNode), "SiteCompany")),
			      createCivilMilestone: parsedArgs.listNode.hasPermission("CreateChildren") && (siteHelper.hasSiteRole(siteHelper.getSiteShortName(parsedArgs.listNode), "SiteCompanyRep")||siteHelper.hasSiteRole(siteHelper.getSiteShortName(parsedArgs.listNode), "SiteCompany"))
         }
      },
      items: items
   });
}

/**
 * Processes the search results.
 *
 * @return the final search results object
 */
function processResults(nodes, maxPageResults, startIndex, rootNode)
{
   var results = [];

   if (logger.isLoggingEnabled())
      logger.log("Processing resultset of length: " + nodes.length);

   startIndex = startIndex ? startIndex : 0;
   for (var i = 0, j = nodes.length; i < j; i++)
   {
	   results.push(nodes[i]);
   }

   return (
   {
      paging:

      {
         totalRecords: results.length,
         totalRecordsUpper: nodes.length,
         startIndex: startIndex
      },
      items: results
   });
}
function arrayListType(data){
  for(var i=0; i < fieldsWithArrayListData.length;i++){
    var fieldItem = fieldsWithArrayListData[i];
    if(fieldItem == data){
      return true;
    }
  }
  return false;
}
model.data = getData();
