<?xml version="1.0" encoding="UTF-8"?>
<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
<#assign BILL_NO="Bill no:"/>
<#assign BILL_DATE="Bill date:"/>
<#assign DESCRIPTION="Description:"/>
<#assign HEADING="Heading:"/>
<#assign COMPANY_COMMENT="Company's comment:"/>
<#assign DUE_DATE="Due Date:"/>
<#assign DOC_DUE_DATE="Doc due date:"/>
<#assign DOC_NO="Doc.no.:"/>
<#assign ITEM_NO="Item no:"/>
<#assign STATUS="Status:"/>
<#assign MILESTONE="Milestone:"/>
<#assign MILESTONE_DATE="Milestone date:"/>
<#assign TITLE="Title:"/>
<#assign TITLE_2="Title2:"/>
<#assign TITLE_3="Title3:"/>
<#assign TITLE_4="Title4:"/>
<#assign STATUS_NEXT_ACTION="Status/next action"/>
<#assign PUNCH_DESCRIPTION= "Punch description:"/>
<#assign RESP_CONTRACTOR_REVIEW="Resp. Contractor review.:"/>
<#assign RESP_COMPANY_REVIEW="Resp. Company review:"/>
<#assign REPORT_DATE="Report date:"/>
<#assign QUERY="Query:"/>
<#assign ANSWER="Answer:"/>
<#assign NAME="Name:"/>
<#assign FORM="Form:"/>
<#assign YEAR="Year:"/>
<#assign MONTH="Month:"/>
<#assign WEEK="Week:"/>
<#assign DATE="Date:"/>
<#assign NAMESPACE_LYSE="http://ns.lyse.no/model/1.0"/>
<#assign NAMESPACE_LYSEDL="http://ns.lyse.no/model/datalist/1.0"/>

<#macro addLine>
    <fo:table-row>
      <fo:table-cell number-columns-spanned="2" border-top="solid 2pt black">
        <fo:block>
        </fo:block>
      </fo:table-cell>
    </fo:table-row>
</#macro>

<#macro insertData item topic>
  <#if item?? && item?has_content && item?is_string>
       <fo:table-row>
         <fo:table-cell>
           <fo:block font-family="Helvetica" font-size="10pt" font-weight="bold">${templateHelper.htmlToPlainText(topic,"&amp;")}</fo:block>
         </fo:table-cell>
         <fo:table-cell>
           <fo:block font-family="Helvetica" font-size="10pt">
             ${templateHelper.htmlToPlainText(item,"&amp;")}
           </fo:block>
         </fo:table-cell>
       </fo:table-row>
  </#if>
</#macro>
  <#macro insertNumber item topic>
    <#if item?? && item?has_content && item?is_number>
       <fo:table-row>
         <fo:table-cell>
           <fo:block font-family="Helvetica" font-size="10pt" font-weight="bold">${topic}</fo:block>
         </fo:table-cell>
         <fo:table-cell>
           <fo:block font-family="Helvetica" font-size="10pt">
             ${item?c}
           </fo:block>
         </fo:table-cell>
       </fo:table-row>
    </#if>
  </#macro>
  <#macro insertHTMLData item topic>
    <#if item?? && item?has_content && item?is_string>
       <fo:table-row>
         <fo:table-cell>
           <fo:block font-family="Helvetica" font-size="10pt" font-weight="bold">${templateHelper.htmlToPlainText(topic,"&amp;")}</fo:block>
         </fo:table-cell>
         <fo:table-cell>
           <fo:block font-family="Helvetica" font-size="10pt">
             ${templateHelper.htmlToPlainText(item,"&amp;")}
           </fo:block>
         </fo:table-cell>
       </fo:table-row>
    </#if>
  </#macro>
  <#macro insertDueDate item topic>
    <#if item?has_content>
       <fo:table-row>
         <fo:table-cell>
           <fo:block font-family="Helvetica" font-size="10pt" font-weight="bold">${topic}</fo:block>
         </fo:table-cell>
         <fo:table-cell>
           <fo:block font-family="Helvetica" font-size="10pt">
             ${item?string('yyyy-MM-dd')}
           </fo:block>
         </fo:table-cell>
       </fo:table-row>
    </#if>
  </#macro>
  <#macro insertResponsibleUser item rowItem>
    <#if rowItem.assocs[item]?exists>
      <fo:table-row>
        <fo:table-cell>
          <fo:block font-family="Helvetica" font-size="10pt" font-weight="bold">Responsible user:</fo:block>
        </fo:table-cell>
        <fo:table-cell>
          <fo:block font-family="Helvetica" font-size="10pt">
            ${rowItem.assocs[item][0].properties["cm:firstName"]?xml}&#032;${rowItem.assocs[item][0].properties["cm:lastName"]?xml}
          </fo:block>
        </fo:table-cell>
      </fo:table-row>
    </#if>
  </#macro>
  <#macro insertResponsibleGroup item rowItem>
    <#if rowItem.assocs[item]?? && rowItem.assocs[item]?has_content>
         <fo:table-row>
           <fo:table-cell>
             <fo:block font-family="Helvetica" font-size="10pt" font-weight="bold">Responsible group:</fo:block>
           </fo:table-cell>
           <fo:table-cell>
             <fo:block font-family="Helvetica" font-size="10pt">
               ${rowItem.assocs[item][0].properties["cm:authorityDisplayName"]?xml}
             </fo:block>
           </fo:table-cell>
         </fo:table-row>
    </#if>
  </#macro>

  <#macro defaultPdfReader rowItem>
       <fo:table-row>
         <fo:table-cell number-columns-spanned="2" border-top="solid 2pt black">
           <fo:block>
           </fo:block>
         </fo:table-cell>
       </fo:table-row>
                    <fo:table-row>
                      <fo:table-cell>
                        <fo:block font-family="Helvetica" font-size="10pt" font-weight="bold">Description:</fo:block>
                      </fo:table-cell>
                      <fo:table-cell>
                        <fo:block font-family="Helvetica" font-size="10pt">
                            <#if rowItem.typeShort=="lysedl:actionWithProject">
                              <#if rowItem.properties["lyse:actionWithProjectDescription"]??>
                                ${templateHelper.htmlToPlainText(rowItem.properties["lyse:actionWithProjectDescription"],"&amp;")?xml}
                              </#if>
                            <#else>
                              <#if rowItem.properties["lyse:hseDescription"]??>
                                ${templateHelper.htmlToPlainText(rowItem.properties["lyse:hseDescription"],"&amp;")?xml}
                              </#if>
                            </#if>
                        </fo:block>
                      </fo:table-cell>
                    </fo:table-row>
                    <fo:table-row>
                      <fo:table-cell>
                        <fo:block font-family="Helvetica" font-size="10pt" font-weight="bold">Due date:</fo:block>
                      </fo:table-cell>
                      <fo:table-cell>
                        <fo:block font-family="Helvetica" font-size="10pt">
                              <#if rowItem.typeShort=="lysedl:actionWithProject">
                                <#if rowItem.properties["lyse:actionWithProjectDueDate"]??>
                                  <#if rowItem.properties["lyse:actionWithProjectDueDate"]??>${rowItem.properties["lyse:actionWithProjectDueDate"]?string('yyyy-MM-dd')}</#if>
                                </#if>
                              <#else>
                                <#if rowItem.properties["lyse:hseDueDate"]??>${rowItem.properties["lyse:hseDueDate"]?string('yyyy-MM-dd')}</#if>
                              </#if>
                        </fo:block>
                      </fo:table-cell>
                    </fo:table-row>
                    <fo:table-row>
                      <fo:table-cell>
                        <fo:block font-family="Helvetica" font-size="10pt" font-weight="bold">Responsible user:</fo:block>
                      </fo:table-cell>
                      <fo:table-cell>
                        <fo:block font-family="Helvetica" font-size="10pt">
                              <#if rowItem.typeShort=="lysedl:actionWithProject">
                                <#if rowItem.assocs["lyse:actionWithProjectResponsibleUser"]?exists>
                                  ${rowItem.assocs["lyse:actionWithProjectResponsibleUser"][0].properties["cm:firstName"]?xml}&#032;${rowItem.assocs["lyse:actionWithProjectResponsibleUser"][0].properties["cm:lastName"]?xml}
                                </#if>
                              <#else>
                                <#if rowItem.assocs["lyse:hseResponsibleUser"]?exists>
                                  ${rowItem.assocs["lyse:hseResponsibleUser"][0].properties["cm:firstName"]?xml}&#032;${rowItem.assocs["lyse:hseResponsibleUser"][0].properties["cm:lastName"]?xml}
                                </#if>
                              </#if>
                        </fo:block>
                      </fo:table-cell>
                    </fo:table-row>
    <#if rowItem.typeShort!="lysedl:actionWithProject">
                      <fo:table-row>
                        <fo:table-cell>
                          <fo:block font-family="Helvetica" font-size="10pt" font-weight="bold">Responsible group:</fo:block>
                        </fo:table-cell>
                        <fo:table-cell>
                          <fo:block font-family="Helvetica" font-size="10pt">
                                <#if rowItem.assocs["lyse:hseResponsibleGroup"]?exists>
                                  ${rowItem.assocs["lyse:hseResponsibleGroup"][0].properties["cm:authorityDisplayName"]?xml}
                                </#if>
                          </fo:block>
                        </fo:table-cell>
                      </fo:table-row>
    </#if>
    <#if rowItem.properties["lyse:hseStatus"]?? && rowItem.properties["lyse:hseStatus"]?has_content>
               		<fo:table-row>
                    <fo:table-cell>
                      <fo:block font-family="Helvetica" font-size="10pt" font-weight="bold">Status:</fo:block>
                    </fo:table-cell>
                    <fo:table-cell>
                      <#assign statusConstraint = templateHelper.getConstraintLabel(rowItem.properties["lyse:hseStatus"],NAMESPACE_LYSE,"hseStatus")!>
                      <#if statusConstraint?? && statusConstraint?has_content>
                        <fo:block font-family="Helvetica" font-size="10pt">${templateHelper.getConstraintLabel(rowItem.properties["lyse:hseStatus"]?xml,"hseStatus")?xml}</fo:block>
                      <#else>
                        <fo:block font-family="Helvetica" font-size="10pt">${rowItem.properties["lyse:hseStatus"]}</fo:block>
                      </#if>


                    </fo:table-cell>
                  </fo:table-row>
    </#if>
					<fo:table-row>
            <fo:table-cell>
              <fo:block font-family="Helvetica" font-size="10pt" font-weight="bold">
                            	<#if rowItem.typeShort=="lysedl:hseAction">
                            		Action/notes from meeting
                              </#if>
                            	<#if rowItem.typeShort=="lysedl:ruiList">
                            		Action/measures
                              </#if>
                            	<#if rowItem.typeShort=="lysedl:riskReducingMeasures">
                            		Risk reducing measures executed
                              </#if>
              </fo:block>
            </fo:table-cell>
            <fo:table-cell>
              <fo:block font-family="Helvetica" font-size="10pt"><#if rowItem.properties["lyse:hseActionMeetingNotes"]??>${templateHelper.htmlToPlainText(rowItem.properties["lyse:hseActionMeetingNotes"],"&amp;")?xml}</#if>
              </fo:block>
            </fo:table-cell>
          </fo:table-row>
  </#macro>
  <fo:layout-master-set>
    <fo:simple-page-master master-name="A4"
                           page-height="29.7cm"
                           page-width="21cm"
                           margin-top="1cm"
                           margin-bottom="2cm"
                           margin-left="2.5cm"
                           margin-right="2.5cm">
      <fo:region-body margin-top="20mm" column-count="1" column-gap="0.50in" overflow="auto"/>
      <fo:region-before region-name="header" extent="10mm"/>
      <fo:region-after extent="20mm"/>
    </fo:simple-page-master>
  </fo:layout-master-set>

  <fo:page-sequence master-reference="A4">
    <fo:static-content flow-name="header">

      <fo:block-container absolute-position="absolute" left="120mm" top="3mm">
        <fo:block>
          <fo:inline font-family="Helvetica" font-size="10pt" font-weight="bold">PAGE: </fo:inline>
          <fo:inline font-family="Helvetica" font-size="10pt">
            <fo:page-number/>
            of
            <fo:page-number-citation ref-id="endofdoc"/>
          </fo:inline>
        </fo:block>
      </fo:block-container>
      <fo:block-container absolute-position="absolute" left="0mm" top="0mm">
        <fo:block>
          <fo:external-graphic src="url(${templateHelper.getLogoDirectoryPath()}logo_rgb.png)" content-height="scale-to-fit" height="0.50in" content-width="0.50in"/>
        </fo:block>
      </fo:block-container>

    </fo:static-content>
    <fo:flow flow-name="xsl-region-body">
      <fo:block font-family="Helvetica" font-size="14pt" font-weight="bold" space-before="5mm" line-height="14pt" space-after="5mm" text-align-last="justify">
        Minutes
        <fo:leader leader-pattern="space"/>
      ${headerProperties.siteName?xml}
      </fo:block>
      <fo:block font-family="Helvetica" font-size="12pt" font-weight="bold" space-before="5mm" line-height="12pt" space-after="5mm">
      ${headerProperties.title?xml}
      </fo:block>
      <fo:block font-family="Helvetica" font-size="12pt">
        <fo:inline font-weight="bold">Monthly meeting: </fo:inline>
        <fo:inline>${headerProperties.meetingNumber?xml}</fo:inline>
      </fo:block>
      <fo:block font-family="Helvetica" font-size="12pt">
        <fo:inline font-weight="bold">Meeting date: </fo:inline>
        <fo:inline>${headerProperties.meetingDate?xml}</fo:inline>
      </fo:block>
      <fo:block font-family="Helvetica" font-size="12pt">
        <fo:inline font-weight="bold">Location: </fo:inline>
        <fo:inline>${headerProperties.meetingLocation?xml}</fo:inline>
      </fo:block>
      <fo:block font-family="Helvetica" font-size="12pt">
        <fo:leader/>
      </fo:block>
      <fo:block font-family="Helvetica" font-size="12pt">
        <fo:inline font-weight="bold">Participants: </fo:inline>
        <fo:inline>${headerProperties.projectParticipants?xml}<#if headerProperties.externalParticipants?has_content>,</#if> ${headerProperties.externalParticipants?xml}</fo:inline>
      </fo:block>
      <fo:block font-family="Helvetica" font-size="12pt">
        <fo:leader/>
      </fo:block>
            <#if headerProperties.meetingText??>
                <fo:block space-after="5mm" linefeed-treatment="preserve">
                  <fo:inline font-size="12pt" font-weight="bold">Meeting text: </fo:inline>
                  <fo:inline font-size="10pt">${headerProperties.meetingText?xml}</fo:inline>
                </fo:block>
            </#if>
			          <#if items??>
                 <fo:table table-layout="fixed" width="100%" margin-top="10mm" border-collapse="separate" border-separation="3pt">
                   <fo:table-column column-width="60mm"/>
                   <fo:table-column column-width="auto"/>
                   <fo:table-body start-indent="0pt">
                  <#list items as row>
                    <fo:table-row>
                      <fo:table-cell>
                        <#if row.typeShort=="lysedl:actionWithProject">
                          <fo:block font-family="Helvetica" font-size="10pt" font-weight="bold"><#if row.properties["lyse:actionWithProjectHeading"]??>${row.properties["lyse:actionWithProjectHeading"]?xml}</#if></fo:block>
                        <#else>
                          <fo:block font-family="Helvetica" font-size="10pt" font-weight="bold"><#if row.properties["lyse:hseHeading"]?has_content>${row.properties["lyse:hseHeading"]?xml}</#if></fo:block>
                        </#if>
                      </fo:table-cell>
                    </fo:table-row>
                    <fo:table-row>
                      <fo:table-cell>
                        <fo:block font-family="Helvetica" font-size="10pt" font-weight="bold">Id:</fo:block>
                      </fo:table-cell>
                      <fo:table-cell>
                        <fo:block font-family="Helvetica" font-size="10pt">
                                <#if row.properties["lysedl:workflowId"]??>
                                  <fo:basic-link
                                    external-destination="url('${headerProperties.datalistUrl}?workflowId=${row.properties["lysedl:workflowId"]}')"
                                    color="blue" text-decoration="underline">
                                    ${row.properties["dl:itemId"]?xml}
                                  </fo:basic-link>
                                <#else>
                                    <fo:basic-link
                                      external-destination="url('${headerProperties.datalistUrl}?nodeRef=${row.nodeRef}')"
                                      color="blue" text-decoration="underline">
                                      ${row.properties["dl:itemId"]?xml}
                                    </fo:basic-link>
                                </#if>
                        </fo:block>
                      </fo:table-cell>
                    </fo:table-row>
                  <#switch row.typeShort>
                    <#case "lysedl:genericActionList">
                      <@insertHTMLData item=(row.properties["lyse:genericActionDescription"]!) topic=DESCRIPTION/>
                      <@insertDueDate item=(row.properties["lyse:genericActionDueDate"]!) topic=DUE_DATE/>
                      <#assign statusConstraint = templateHelper.getConstraintLabel(row.properties["lyse:genericActionReviewStatus"],NAMESPACE_LYSE,"genericActionReviewStatus")!>
                      <#if statusConstraint?? && statusConstraint?has_content>
                        <@insertData item=statusConstraint topic=STATUS/>
                      <#else>
                        <@insertData item=(row.properties["lyse:genericActionReviewStatus"]!) topic=STATUS/>
                      </#if>
                      <@insertResponsibleUser item="lyse:actionResponsibleUser" rowItem=row/>
                      <@insertResponsibleGroup item="lyse:actionResponsibleGroup" rowItem=row/>
                      <@addLine/>
                      <#break>
                    <#case "lysedl:civilContractDataList">
                      <@insertData item=(row.properties["lyse:civilContractorsDocumentType"]!) topic=TITLE_2/>
                      <@insertData item=(row.properties["lyse:civilCdlAreaSystem"]!) topic=TITLE_3/>
                      <@insertData item=(row.properties["lyse:civilTitle4"]!) topic=TITLE_4/>
                      <@insertData item=(row.properties["lyse:civilContractorsDocumentNumber"]!) topic=DOC_NO/>
                      <@insertData item=(row.properties["lysedl:civilContractContractorReviewResponsibleAsText"]!) topic=RESP_CONTRACTOR_REVIEW/>
                      <@insertDueDate item=(row.properties["lyse:civilCdlDueDate"]!) topic=DOC_DUE_DATE/>
                      <#assign statusConstraint = templateHelper.getConstraintLabel(row.properties["lyse:civilCdlReviewStatus"],NAMESPACE_LYSE,"civilCdlReviewStatus")!>
                      <#if statusConstraint?? && statusConstraint?has_content>
                        <@insertData item=statusConstraint topic=STATUS/>
                      <#else>
                        <@insertData item=(row.properties["lyse:civilCdlReviewStatus"]!) topic=STATUS/>
                      </#if>
                      <@addLine/>
                      <#break>
                    <#case "lysedl:civilCdlDataList">
                      <@insertData item=(row.properties["lyse:civilContractorsDocumentType"]!) topic=TITLE_2/>
                      <@insertData item=(row.properties["lyse:civilCdlAreaSystem"]!) topic=TITLE_3/>
                      <@insertData item=(row.properties["lyse:civilTitle4"]!) topic=TITLE_4 />
                      <@insertData item=(row.properties["lyse:civilContractorsDocumentNumber"]!) topic=DOC_NO/>
                      <@insertData item=(row.properties["lysedl:civilCdlCompanyReviewResponsibleAsText"]!) topic=RESP_COMPANY_REVIEW/>
                      <@insertDueDate item=(row.properties["lyse:civilCdlDueDate"]!) topic=DOC_DUE_DATE/>
                      <#assign statusConstraint = templateHelper.getConstraintLabel(row.properties["lyse:civilCdlReviewStatus"],NAMESPACE_LYSE,"civilCdlReviewStatus")!>
                      <#if statusConstraint?? && statusConstraint?has_content>
                        <@insertData item=statusConstraint topic=STATUS/>
                      <#else>
                        <@insertData item=(row.properties["lyse:civilCdlReviewStatus"]!) topic=STATUS/>
                      </#if>
                      <@insertResponsibleUser item="lysedl:civilCdlCompanyReviewResponsible" rowItem=row/>
                      <@addLine/>
                      <#break>
                    <#case "lysedl:civilTechnicalQuery">
                      <@insertData item=(row.properties["lyse:civilTqHeading"]!) topic=HEADING/>
                      <@insertData item=(row.properties["lyse:civilTqQuery"]!) topic=QUERY/>
                      <@insertData item=(row.properties["lyse:civilTqConclusion"]!) topic=ANSWER/>
                      <@insertResponsibleUser item="lyse:civilTqResponsibleUsers" rowItem=row/>
                      <@insertResponsibleGroup item="lyse:civilTqResponsibleGroups" rowItem=row/>
                      <@insertDueDate item=(row.properties["lyse:civilTqDueDate"]!) topic=DUE_DATE/>
                      <#assign statusConstraint = templateHelper.getConstraintLabel(row.properties["lyse:civilTqStatus"],NAMESPACE_LYSE,"civilTqStatus")!>
                      <#if statusConstraint?? && statusConstraint?has_content>
                        <@insertData item=statusConstraint topic=STATUS/>
                      <#else>
                        <@insertData item=(row.properties["lyse:civilTqStatus"]!) topic=STATUS/>
                      </#if>
                      <@addLine/>
                      <#break>
                    <#case "lysedl:civilAction">
                      <@insertHTMLData item=(row.properties["lyse:hseActionMeetingNotes"]!) topic=STATUS_NEXT_ACTION/>
                      <@insertResponsibleUser item="lyse:hseResponsibleUser" rowItem=row />
                      <@insertResponsibleGroup item="lyse:hseResponsibleGroup" rowItem=row/>
                      <@insertDueDate item=(row.properties["lyse:hseDueDate"]!) topic=DUE_DATE/>
                      <#assign statusConstraint = templateHelper.getConstraintLabel(row.properties["lyse:civilActionReviewStatus"],NAMESPACE_LYSE,"civilActionReviewStatus")!>
                      <#if statusConstraint?? && statusConstraint?has_content>
                        <@insertData item=statusConstraint topic=STATUS/>
                      <#else>
                        <@insertData item=(row.properties["lyse:civilActionReviewStatus"]!) topic=STATUS/>
                      </#if>
                      <@addLine/>
                      <#break>
                    <#case "lysedl:civilMilestone">
                      <@insertData item=(row.properties["lyse:civilMilestoneHeading"]!) topic=HEADING/>
                      <@insertData item=(row.properties["lyse:civilMilestoneId"]!) topic=MILESTONE />
                      <@insertDueDate item=(row.properties["lyse:civilMilestoneDate"]!) topic=MILESTONE_DATE/>
                      <#assign statusConstraint = templateHelper.getConstraintLabel(row.properties["lyse:civilMilestoneStatus"],NAMESPACE_LYSE,"civilMilestoneStatus")!>
                      <#if statusConstraint?? && statusConstraint?has_content>
                        <@insertData item=statusConstraint topic=STATUS/>
                      <#else>
                        <@insertData item=(row.properties["lyse:civilMilestoneStatus"]!) topic=STATUS/>
                      </#if>
                      <@addLine/>
                      <#break>
                    <#case "lysedl:civilCorrespondenceItem">
                      <@insertData item=(row.properties["lysedl:civilCorrespondenceTitle"]!) topic=TITLE/>
                      <@insertDueDate item=(row.properties["lysedl:civilCorrespondenceDueDate"]!) topic=DUE_DATE/>
                      <#assign statusConstraint = templateHelper.getConstraintLabel(row.properties["lysedl:civilCorrespondenceStatus"],NAMESPACE_LYSEDL,"civilCorrespondenceStatus")!>
                      <#if statusConstraint?? && statusConstraint?has_content>
                        <@insertData item=statusConstraint topic=STATUS/>
                      <#else>
                        <@insertData item=(row.properties["lysedl:civilCorrespondenceStatus"]!) topic=STATUS/>
                      </#if>
                      <@addLine/>
                      <#break>
                    <#case "lysedl:civilPunchList">
                      <@insertData item=(row.properties["lyse:civilpunchDescription"]!) topic=PUNCH_DESCRIPTION/>
                      <@insertDueDate item=(row.properties["lyse:civilpunchDueDate"]!) topic=DUE_DATE/>
                      <@addLine/>
                      <#break>
                    <#case "lysedl:civilMeasuredQuantity">
                      <@insertData item=(row.properties["lyse:civilMqHeading"]!) topic=HEADING/>
                      <@insertHTMLData item=(row.properties["lyse:civilMqItemDescription"]!) topic=DESCRIPTION/>
                      <#assign statusConstraint = templateHelper.getConstraintLabel(row.properties["lyse:civilMqStatus"],NAMESPACE_LYSE,"civilMqStatus")!>
                      <#if statusConstraint?? && statusConstraint?has_content>
                        <@insertData item=statusConstraint topic=STATUS/>
                      <#else>
                        <@insertData item=(row.properties["lyse:civilMqStatus"]!) topic=STATUS/>
                      </#if>
                      <@insertData item=(row.properties["lyse:civilMqItemNumber"]!) topic=ITEM_NO/>
                      <@insertData item=(row.properties["lyse:civilMqBillNumber"]!) topic=BILL_NO/>
                      <@insertDueDate item=(row.properties["lyse:civilMqBillDate"]!) topic=BILL_DATE/>
                      <@addLine/>
                      <#break>
                    <#case "lysedl:civilVariationOrderRequestItem">
                      <@insertData item=(row.properties["lysedl:civilVorHeading"]!) topic=HEADING />
                      <@insertDueDate item=(row.properties["lysedl:civilVorDate"]!) topic=DUE_DATE/>
                      <@insertHTMLData item=(row.properties["lysedl:civilVorScheduleConsequence"]!) topic=STATUS_NEXT_ACTION/>
                      <@insertHTMLData item=(row.properties["lysedl:civilVorConsequenceSchedule"]!) topic=STATUS_NEXT_ACTION/>
                      <@insertHTMLData item=(row.properties["lysedl:civilVorDescription"]!) topic=DESCRIPTION/>
                      <#assign statusConstraint = templateHelper.getConstraintLabel(row.properties["lysedl:civilVorStatus"],NAMESPACE_LYSEDL,"civilVorStatus")!>
                      <#if statusConstraint?? && statusConstraint?has_content>
                        <@insertData item=statusConstraint topic=STATUS/>
                      <#else>
                        <@insertData item=(row.properties["lysedl:civilVorStatus"]!) topic=STATUS/>
                      </#if>
                      <@addLine/>
                      <#break>
                    <#case "lysedl:civilQualityControl">
                      <@insertData item=(row.properties["cm:name"]!) topic=NAME/>
                      <@insertData item=(row.properties["lyse:civilQcForm"]!) topic=FORM/>
                      <@insertNumber item=(row.properties["lyse:year"]!) topic=YEAR/>
                      <@insertData item=(row.properties["lyse:month"]!) topic=MONTH/>
                      <@insertNumber item=(row.properties["lyse:week"]!) topic=WEEK/>
                      <@insertDueDate item=(row.properties["lyse:civilQcDate"]!) topic=DATE/>
                      <@addLine/>
                      <#break>
                    <#case "lysedl:civilReporting">
                      <@insertData item=(row.properties["cm:title"]!) topic=TITLE/>
                      <@insertDueDate item=(row.properties["lysedl:civilreportDate"]!) topic=REPORT_DATE/>
                      <@addLine/>
                      <#break>
                    <#case "lysedl:civilVariousDocumentList">
                      <@insertData item=(row.properties["cm:title"]!) topic=TITLE/>
                      <@addLine/>
                      <#break>
                    <#case "lysedl:issueList">
                      <@insertData item=(row.properties["lysedl:issueDescription"]!) topic=DESCRIPTION/>
                      <@insertDueDate item=(row.properties["lysedl:issueDueDate"]!) topic=DUE_DATE/>
                      <@insertResponsibleUser item="lyse:actionResponsibleUser" rowItem=row />
                      <@insertResponsibleGroup item="lyse:actionResponsibleGroup" rowItem=row/>
                      <#assign statusConstraint = templateHelper.getConstraintLabel(row.properties["lysedl:issueStatus"],NAMESPACE_LYSEDL,"issueStatus")!>
                      <#if statusConstraint?? && statusConstraint?has_content>
                        <@insertData item=statusConstraint topic=STATUS/>
                      <#else>
                        <@insertData item=(row.properties["lysedl:issueStatus"]!) topic=STATUS/>
                      </#if>
                      <@addLine/>
                      <#break>
                    <#case "lysedl:cdlDataList">
                      <@insertData item=(row.properties["lyse:title1"]!) topic=DESCRIPTION/>
                      <@insertDueDate item=(row.properties["lyse:cdlDueDate"]!) topic=DUE_DATE/>
                      <@insertResponsibleUser item="lysedl:cdlCompanyReviewResponsible" rowItem=row />
                      <@insertResponsibleGroup item="lysedl:cdlInterfaceReviewers" rowItem=row/>
                      <#assign statusConstraint = templateHelper.getConstraintLabel(row.properties["lyse:cdlReviewStatus"],NAMESPACE_LYSE,"cdlReviewStatus")!>
                      <#if statusConstraint?? && statusConstraint?has_content>
                        <@insertData item=statusConstraint topic=STATUS/>
                      <#else>
                        <@insertData item=(row.properties["lyse:cdlReviewStatus"]!) topic=STATUS/>
                      </#if>
                      <@addLine/>
                      <#break>
                    <#case "lysedl:contractDataList">
                      <@insertData item=(row.properties["lyse:title1"]!) topic=DESCRIPTION/>
                      <@insertDueDate item=(row.properties["lyse:cdlDueDate"]!) topic=DUE_DATE/>
                      <@insertResponsibleUser item="lysedl:contractContractorReviewResponsible" rowItem=row />
                      <@insertResponsibleGroup item="lysedl:contractContractorReviewers" rowItem=row/>
                      <#assign statusConstraint = templateHelper.getConstraintLabel(row.properties["lyse:cdlReviewStatus"],NAMESPACE_LYSE,"cdlReviewStatus")!>
                      <#if statusConstraint?? && statusConstraint?has_content>
                        <@insertData item=statusConstraint topic=STATUS/>
                      <#else>
                        <@insertData item=(row.properties["lyse:cdlReviewStatus"]!) topic=STATUS/>
                      </#if>
                      <@addLine/>
                      <#break>
                    <#case "lysedl:correspondenceItem">
                      <@insertData item=(row.properties["lysedl:correspondenceTitle"]!) topic=DESCRIPTION/>
                      <@insertDueDate item=(row.properties["lysedl:correspondenceDueDate"]!) topic=DUE_DATE/>
                      <@addLine/>
                      <#break>
                    <#case "lysedl:milestoneItem">
                      <@insertData item=(row.properties["lysedl:milestoneHeading"]!) topic=DESCRIPTION/>
                      <@insertDueDate item=(row.properties["lysedl:milestoneDate"]!) topic=DUE_DATE/>
                      <#assign statusConstraint = templateHelper.getConstraintLabel(row.properties["lysedl:milestoneStatus"],NAMESPACE_LYSEDL,"milestoneStatus")!>
                      <#if statusConstraint?? && statusConstraint?has_content>
                        <@insertData item=statusConstraint topic=STATUS/>
                      <#else>
                        <@insertData item=(row.properties["lysedl:milestoneStatus"]!) topic=STATUS/>
                      </#if>
                      <@addLine/>
                      <#break>
                    <#case "lysedl:monthlyReport">
                      <@insertData item=(row.properties["cm:title"]!) topic=DESCRIPTION/>
                      <@insertDueDate item=(row.properties["lysedl:reportDate"]!) topic=DUE_DATE/>
                      <@addLine/>
                      <#break>
                    <#case "lysedl:ncrList">
                      <@insertData item=(row.properties["lysedl:ncrDescription"]!) topic=DESCRIPTION/>
                      <@insertDueDate item=(row.properties["lysedl:ncrDate"]!) topic=DUE_DATE/>
                      <@addLine/>
                      <#break>
                    <#case "lysedl:punchList">
                      <@insertData item=(row.properties["lyse:punchDescription"]!) topic=DESCRIPTION/>
                      <@insertDueDate item=(row.properties["lyse:punchDueDate"]!) topic=DUE_DATE/>
                      <#assign statusConstraint = templateHelper.getConstraintLabel(row.properties["lyse:punchReviewStatus"],NAMESPACE_LYSE,"punchReviewStatus")!>
                      <#if statusConstraint?? && statusConstraint?has_content>
                        <@insertData item=statusConstraint topic=STATUS/>
                      <#else>
                        <@insertData item=(row.properties["lyse:punchReviewStatus"]!) topic=STATUS/>
                      </#if>
                      <@addLine/>
                      <#break>
                    <#case "lysedl:document">
                      <@insertData item=(row.properties["cm:title"]!) topic=DESCRIPTION/>
                      <@addLine/>
                      <#break>
                    <#case "lysedl:variationOrderRequestItem">
                      <@insertData item=(row.properties["lysedl:vorDescription"]!) topic=DESCRIPTION/>
                      <@addLine/>
                      <#break>
                    <#case "lysedl:qaList">
                      <@insertData item=(row.properties["lyse:qaDescription"]!) topic=DESCRIPTION/>
                      <@insertDueDate item=(row.properties["lyse:qaDueDate"]!) topic=DUE_DATE/>
                      <@insertResponsibleGroup item="lysedl:qaResponsible" rowItem=row/>
                      <#assign statusConstraint = templateHelper.getConstraintLabel(row.properties["lyse:qaReviewStatus"],NAMESPACE_LYSE,"qaReviewStatus")!>
                      <#if statusConstraint?? && statusConstraint?has_content>
                        <@insertData item=statusConstraint topic=STATUS/>
                      <#else>
                        <@insertData item=(row.properties["lyse:qaReviewStatus"]!) topic=STATUS/>
                      </#if>
                      <@addLine/>
                      <#break>
                    <#case "lysedl:siteQueries">
                      <@insertData item=(row.properties["lyse:siteQueryNgHeading"]!) topic=DESCRIPTION/>
                      <@insertDueDate item=(row.properties["lyse:siteQueryNgDueDate"]!) topic=DUE_DATE/>
                      <@insertResponsibleUser item="lyse:siteQueryNgResponsibleGroups" rowItem=row />
                      <@insertResponsibleGroup item="lyse:siteQueryNgResponsibleUsers" rowItem=row/>
                      <#assign statusConstraint = templateHelper.getConstraintLabel(row.properties["lyse:siteQueryNgStatus"],NAMESPACE_LYSE,"siteQueryNgStatus")!>
                      <#if statusConstraint?? && statusConstraint?has_content>
                        <@insertData item=statusConstraint topic=STATUS/>
                      <#else>
                        <@insertData item=(row.properties["lyse:siteQueryNgStatus"]!) topic=STATUS/>
                      </#if>
                      <@addLine/>
                      <#break>
                    <#case "lysedl:genericDocumentList">
                      <@insertData item=(row.properties["cm:title"]!) topic=DESCRIPTION/>
                      <#assign statusConstraint = templateHelper.getConstraintLabel(row.properties["lyse:genericDocumentStatus"],NAMESPACE_LYSE,"genericDocumentStatus")!>
                      <#if statusConstraint?? && statusConstraint?has_content>
                        <@insertData item=statusConstraint topic=STATUS/>
                      <#else>
                        <@insertData item=(row.properties["lyse:genericDocumentStatus"]!) topic=STATUS/>
                      </#if>
                      <@addLine/>
                      <#break>
                    <#case "lysedl:userFeedback">
                      <@insertData item=(row.properties["lysedl:userFeedbackDescription"]!) topic=DESCRIPTION/>
                      <#assign statusConstraint = templateHelper.getConstraintLabel(row.properties["lysedl:userFeedbackStatus"],NAMESPACE_LYSEDL,"userFeedbackStatus")!>
                      <#if statusConstraint?? && statusConstraint?has_content>
                        <@insertData item=statusConstraint topic=STATUS/>
                      <#else>
                        <@insertData item=(row.properties["lysedl:userFeedbackStatus"]!) topic=STATUS/>
                      </#if>
                      <@addLine/>
                      <#break>
                    <#case "lysedl:companysDocumentDataList">
                      <@insertData item=(row.properties["lyse:companysDocumentTitle4"]!) topic=DESCRIPTION/>
                      <@insertDueDate item=(row.properties["lyse:companysDocumentDueDate"]!) topic=DUE_DATE/>
                      <@insertResponsibleUser item="lysedl:companysDocumentCompanyReviewResponsible" rowItem=row />
                      <@insertResponsibleGroup item="lysedl:companysDocumentInterfaceReviewers" rowItem=row/>
                      <#assign statusConstraint = templateHelper.getConstraintLabel(row.properties["lyse:companysDocumentReviewStatus"],NAMESPACE_LYSE,"companysDocumentReviewStatus")!>
                      <#if statusConstraint?? && statusConstraint?has_content>
                        <@insertData item=statusConstraint topic=STATUS/>
                      <#else>
                        <@insertData item=(row.properties["lyse:companysDocumentReviewStatus"]!) topic=STATUS/>
                      </#if>
                      <@addLine/>
                      <#break>
                    <#case "lysedl:accommodationDataList">
                      <@insertData item=(row.properties["cm:name"]!) topic=DESCRIPTION/>
                      <#assign statusConstraint = templateHelper.getConstraintLabel(row.properties["lyse:accoStatus"],NAMESPACE_LYSE,"accoStatus")!>
                      <#if statusConstraint?? && statusConstraint?has_content>
                        <@insertData item=statusConstraint topic=STATUS/>
                      <#else>
                        <@insertData item=(row.properties["lyse:accoStatus"]!) topic=STATUS/>
                      </#if>
                      <@addLine/>
                      <#break>
                    <#case "lysedl:interfaceAction">
                      <@insertData item=(row.properties["lysedl:interfaceActionDescription"]!) topic=DESCRIPTION/>
                      <@insertDueDate item=(row.properties["lysedl:interfaceActionDueDate"]!) topic=DUE_DATE/>
                      <@insertResponsibleUser item="lyse:actionResponsibleUser" rowItem=row />
                      <@insertResponsibleGroup item="lyse:actionResponsibleGroup" rowItem=row/>
                      <#assign statusConstraint = templateHelper.getConstraintLabel(row.properties["lysedl:interfaceActionStatus"],NAMESPACE_LYSEDL,"interfaceActionStatus")!>
                      <#if statusConstraint?? && statusConstraint?has_content>
                        <@insertData item=statusConstraint topic=STATUS/>
                      <#else>
                        <@insertData item=(row.properties["lysedl:interfaceActionStatus"]!) topic=STATUS/>
                      </#if>
                      <@addLine/>
                      <#break>
                    <#case "lysedl:contact">
                      <@insertData item=(row.properties["cm:name"]!) topic=DESCRIPTION/>
                      <@addLine/>
                      <#break>
                    <#case "lysedl:epbDataList">
                      <@insertData item=(row.properties["lyse:epbDescription"]!) topic=DESCRIPTION/>
                      <@insertDueDate item=(row.properties["lyse:epbReadyForInstallation"]!) topic=DUE_DATE/>
                      <@insertResponsibleGroup item="lysedl:epbInstallationResponsible" rowItem=row/>
                      <#assign statusConstraint = templateHelper.getConstraintLabel(row.properties["lyse:epbReviewStatus"],NAMESPACE_LYSE,"epbReviewStatus")!>
                      <#if statusConstraint?? && statusConstraint?has_content>
                        <@insertData item=statusConstraint topic=STATUS/>
                      <#else>
                        <@insertData item=(row.properties["lyse:epbReviewStatus"]!) topic=STATUS/>
                      </#if>
                      <@addLine/>
                      <#break>
                    <#case "lysedl:iasDataList">
                      <@insertData item=(row.properties["lyse:iasDescription"]!) topic=DESCRIPTION/>
                      <@insertDueDate item=(row.properties["lyse:iasAgreedDate"]!) topic=DUE_DATE/>
                      <@insertResponsibleGroup item="lysedl:iasInterfaceSupplier" rowItem=row/>
                      <@insertResponsibleGroup item="lysedl:iasInterfaceReceiver" rowItem=row/>
                      <#assign statusConstraint = templateHelper.getConstraintLabel(row.properties["lyse:iasReviewStatus"],NAMESPACE_LYSE,"iasReviewStatus")!>
                      <#if statusConstraint?? && statusConstraint?has_content>
                        <@insertData item=statusConstraint topic=STATUS/>
                      <#else>
                        <@insertData item=(row.properties["lyse:iasReviewStatus"]!) topic=STATUS/>
                      </#if>
                      <@addLine/>
                      <#break>
                    <#case "lysedl:irlDataList">
                      <@insertData item=(row.properties["lyse:irlRequirementSpecification"]!) topic=DESCRIPTION/>
                      <@insertDueDate item=(row.properties["lyse:irlDueDate"]!) topic=DUE_DATE/>
                      <@insertResponsibleGroup item="lysedl:irlRequirementDefiner" rowItem=row/>
                      <@insertResponsibleGroup item="lysedl:irlSupplier" rowItem=row/>
                      <#assign statusConstraint = templateHelper.getConstraintLabel(row.properties["lyse:irlReviewStatus"],NAMESPACE_LYSE,"irlReviewStatus")!>
                      <#if statusConstraint?? && statusConstraint?has_content>
                        <@insertData item=statusConstraint topic=STATUS/>
                      <#else>
                        <@insertData item=(row.properties["lyse:irlReviewStatus"]!) topic=STATUS/>
                      </#if>
                      <@addLine/>
                      <#break>
                    <#case "lysedl:logisticScheduleDatalist">
                      <@insertData item=(row.properties["lyse:losDescriptionOfTransportProp"]!) topic=DESCRIPTION/>
                      <@insertDueDate item=(row.properties["lyse:losArrivalTimePreliminaryProp"]!) topic=DUE_DATE/>
                      <#assign statusConstraint = templateHelper.getConstraintLabel(row.properties["lyse:losStatusProp"],NAMESPACE_LYSE,"losStatusProp")!>
                      <#if statusConstraint?? && statusConstraint?has_content>
                        <@insertData item=statusConstraint topic=STATUS/>
                      <#else>
                        <@insertData item=(row.properties["lyse:losStatusProp"]!) topic=STATUS/>
                      </#if>
                      <@addLine/>
                      <#break>
                    <#case "lysedl:melList">
                      <@insertDueDate item=(row.properties["lyse:melDate"]!) topic=DUE_DATE/>
                      <@addLine/>
                      <#break>
                    <#case "lysedl:hseNec">
                      <@insertData item=(row.properties["lyse:hseNecHeading"]!) topic=HEADING/>
                      <@insertData item=(row.properties["lyse:companyComment"]!) topic=COMPANY_COMMENT/>
                      <@insertNumber item=(row.properties["lyse:year"]!) topic=YEAR/>
                      <@insertData item=(row.properties["lyse:month"]!) topic=MONTH/>
                      <@insertNumber item=(row.properties["lyse:week"]!) topic=WEEK/>
                      <@insertDueDate item=(row.properties["lyse:hseNecDate"]!) topic=DATE/>
                      <@addLine/>
                      <#break>
                    <#default>
                      <@defaultPdfReader rowItem=row/>
                      <#break>
                  </#switch>
                  </#list>
                   </fo:table-body>
                 </fo:table>
                </#if>
      <fo:block id="endofdoc" color="white">
        <fo:page-number/>
      </fo:block>
    </fo:flow>
  </fo:page-sequence>
</fo:root>
