<import resource="classpath:/alfresco/templates/webscripts/org/alfresco/slingshot/documentlibrary/action/action.lib.js">

  /**
   * Delete multiple files action
   * @method DELETE
   */

  /**
   * Entrypoint required by action.lib.js
   *
   * @method runAction
   * @param p_params {object} Object literal containing files array
   * @return {object|null} object representation of action results
   */
  function runAction(p_params)
  {
    var results = [],
      files = p_params.files,
      file, result, nodeRef;
    // Must have array of files
    if (!files || files.length == 0)
    {
      status.setCode(status.STATUS_BAD_REQUEST, "No files.");
      return;
    }

    for (file in files)
    {
      nodeRef = files[file];
      result =
        {
          nodeRef: nodeRef,
          action: "deleteFile",
          success: false
        };

      try
      {
        fileNode = search.findNode(nodeRef);
        if (fileNode === null)
        {
          result.id = file;
          result.nodeRef = nodeRef;
          result.success = false;
        }
        else
        {
          result.id = fileNode.name;
          result.type = fileNode.isContainer ? "folder" : "document";

          var datalistType = Packages.no.lyse.alfresco.repo.model.LyseDatalistModel.TYPE_GENERIC_DOCUMENT_LIST;

          if(findDataListExists(fileNode,datalistType) && fileNode.getType().toString() == Packages.org.alfresco.model.ContentModel.TYPE_FOLDER.toString()){
            // remove() call must come last
            result.success = lyseNodeService.removeIfEmpty(fileNode.getNodeRef());
          }
          else{
            // remove() call must come last
            result.success = fileNode.remove(true);
          }

        }
      }
      catch (e)
      {
        result.id = file;
        result.nodeRef = nodeRef;
        result.success = false;
      }

      results.push(result);
    }

    return results;
  };

  function findDataListExists(nodeRef,type){
    var parentRef = nodeRef.getParent();
    var MAX_TRIES = 999;
    var counter = 0;
    while(parentRef != null){
      if(counter == MAX_TRIES){
        return false;
      }
      if(parentRef.getType().toString() == type.toString()){
        return true;
      }
      parentRef = parentRef.getParent();
      counter++;
    }
    return false;
  }

/* Bootstrap action script */
main();
